package a3test.debug;

import jp.sourceforge.acerola3d.a3.*;

public class AddDelAdd {
    public static void main(String args[]) throws Exception {
        A3Window w = new A3Window(300,300);
        Action3D a3 = new Action3D("x-res:///axis.a3");

        //A3Text3D a3 = new A3Text3D("TEST");
        //a3.setEnableBehavior(true);

        //Skeleton a3 = new Skeleton("x-res:///Walk.bvh");
        //a3.start();

        w.add(a3);
        try{Thread.sleep(1000);}catch(Exception e){;}
        w.del(a3);
        try{Thread.sleep(1000);}catch(Exception e){;}
        w.add(a3);//直る前は、ここから呼ばれるActionBehaviorのinit()でIndexOutOfBoundsExceptionが出ていた。
    }
}
